## kodi-pvr-waipu 2.6.1+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.waipu)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(RapidJSON 1.1.0 REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${RAPIDJSON_INCLUDE_DIRS})

set(PVRWAIPU_SOURCES
                    src/Curl.cpp
                    src/Utils.cpp
                    src/Base64.cpp
                    src/WaipuData.cpp)

set(PVRWAIPU_HEADERS
                    src/Curl.h
                    src/Utils.h
                    src/Base64.h
                    src/WaipuData.h)

addon_version(pvr.waipu IPTV)
add_definitions(-DIPTV_VERSION=${IPTV_VERSION})

build_addon(pvr.waipu PVRWAIPU DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-waipu (2.6.1+ds1-1) unstable; urgency=medium

  * New upstream version 2.6.1+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 24 Feb 2021 05:49:19 +0000

kodi-pvr-waipu (2.5.1+ds1-1) unstable; urgency=medium

  * New upstream version 2.5.1+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 14:47:25 +0000

kodi-pvr-waipu (2.5.0+ds1-1) unstable; urgency=medium

  * New upstream version 2.5.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:08 +0000

kodi-pvr-waipu (2.3.0+ds1-1) experimental; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 28 Dec 2020 05:53:24 +0000

=== debian/control ===
Source: kodi-pvr-waipu
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
               cmake,
               kodi-addons-dev (>= 2:19~),
               rapidjson-dev (>= 1.1.0)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu.git
Homepage: https://kodi.tv/

Package: kodi-pvr-waipu
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: waipu PVR for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is a PVR addon for waipu.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DOVERRIDE_PATHS=1 \
            -DUSE_LTO=1

override_dh_auto_install:
	dh_auto_install
	rm -f debian/kodi-pvr-waipu/usr/share/kodi/addons/pvr.waipu/LICENSE.txt

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/flubshi/pvr.waipu/releases \
/flubshi/pvr.waipu/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-waipu 19.0.1%2Bds1

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake,
                kodi-addons-dev (>= 2:19~),
                rapidjson-dev (>= 1.1.0)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu.git

## kodi-pvr-waipu 19.0.1+ds1

=== debian/changelog ===
kodi-pvr-waipu (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:22 +0000

kodi-pvr-waipu (2.9.4+ds1-1) unstable; urgency=medium

  * New upstream version 2.9.4+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:34:12 +0000

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
             -DOVERRIDE_PATHS=1 \
-            -DUSE_LTO=1
+            -DUSE_LTO=0
 
 override_dh_auto_install:
 	dh_auto_install

## kodi-pvr-waipu 19.2.1+ds1

=== debian/changelog ===
kodi-pvr-waipu (19.2.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:42:12 +0000

kodi-pvr-waipu (19.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.2.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 07 Apr 2022 18:41:25 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                rapidjson-dev (>= 1.1.0)
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/flubshi/pvr.waipu/releases \
/flubshi/pvr.waipu/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-waipu 20.4.2+ds1

=== debian/changelog ===
kodi-pvr-waipu (20.4.2+ds1-1) unstable; urgency=medium

  * New upstream version 20.4.2+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:56:18 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                rapidjson-dev (>= 1.1.0)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/flubshi/pvr.waipu/releases \
/flubshi/pvr.waipu/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-waipu 20.6.0+ds1

=== debian/changelog ===
kodi-pvr-waipu (20.6.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.6.0+ds1

  [ Vasyl Gello ]
  * d/watch: switch to git tags

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:53 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
-               rapidjson-dev (>= 1.1.0)
+               rapidjson-dev
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/flubshi/pvr.waipu \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-waipu 20.11.0+ds

=== debian/changelog ===
kodi-pvr-waipu (20.11.0+ds-1) unstable; urgency=medium

  * New upstream version 20.11.0+ds

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present in machine-readable debian/copyright).

  [ Vasyl Gello ]
  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:41:05 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                rapidjson-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu.git

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/flubshi/pvr.waipu \

## kodi-pvr-waipu 20.12.1+ds

=== debian/changelog ===
kodi-pvr-waipu (20.12.1+ds-1) unstable; urgency=medium

  * New upstream version 20.12.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 03 Jul 2024 05:52:26 +0000

## kodi-pvr-waipu 21.5.0+ds

=== debian/changelog ===
kodi-pvr-waipu (21.5.0+ds-1) experimental; urgency=medium

  * New upstream version 21.5.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.4.2+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:50 +0000

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                rapidjson-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu.git -b debian/experimental
 Homepage: https://kodi.tv/
 
 Package: kodi-pvr-waipu

=== debian/watch ===
--- 
+++ 
@@ -10,5 +10,5 @@
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/flubshi/pvr.waipu \
-refs/tags/@ANY_VERSION@-Nexus \
+refs/tags/@ANY_VERSION@-Omega \
 debian

## kodi-pvr-waipu 21.8.6+ds

=== debian/changelog ===
kodi-pvr-waipu (21.8.6+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:14:32 +0000

kodi-pvr-waipu (21.8.6+ds-1) unstable; urgency=medium

  * New upstream version 21.8.6+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:55 +0000

## kodi-pvr-waipu 21.8.7+ds

=== debian/changelog ===
kodi-pvr-waipu (21.8.7+ds-1) unstable; urgency=high

  * New upstream version 21.8.7+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 04 Nov 2024 17:24:37 +0000

## kodi-pvr-waipu 21.8.8+ds

=== debian/changelog ===
kodi-pvr-waipu (21.8.8+ds-2) unstable; urgency=high

  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:41 +0000

kodi-pvr-waipu (21.8.8+ds-1) unstable; urgency=medium

  * New upstream version 21.8.8+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Dec 2024 06:32:50 +0000

## kodi-pvr-waipu 21.9.1+ds

=== debian/changelog ===
kodi-pvr-waipu (21.9.1+ds-1) unstable; urgency=high

  * New upstream version 21.9.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 18 Mar 2025 06:37:50 +0000

## kodi-pvr-waipu 21.10.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,13 +12,19 @@
 set(PVRWAIPU_SOURCES
                     src/Curl.cpp
                     src/Utils.cpp
+                    src/HLSAllowlist.cpp
                     src/Base64.cpp
+                    src/JWT.cpp
+                    src/categories.cpp
                     src/WaipuData.cpp)
 
 set(PVRWAIPU_HEADERS
                     src/Curl.h
                     src/Utils.h
+                    src/HLSAllowlist.h
                     src/Base64.h
+                    src/JWT.h
+                    src/categories.h
                     src/WaipuData.h)
 
 addon_version(pvr.waipu IPTV)

=== debian/changelog ===
kodi-pvr-waipu (21.10.1+ds-1) unstable; urgency=high

  * New upstream version 21.10.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 30 Mar 2025 12:31:53 +0000

## kodi-pvr-waipu 21.12.5+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
                     src/HLSAllowlist.h
                     src/Base64.h
                     src/JWT.h
+                    src/SynchronizedQueue.h
                     src/categories.h
                     src/WaipuData.h)

=== debian/changelog ===
kodi-pvr-waipu (21.12.5+ds-1) unstable; urgency=high

  * New upstream version 21.12.5+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 10 Oct 2025 06:40:15 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                rapidjson-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu.git -b debian/experimental
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-waipu.git -b debian/sid
 Homepage: https://kodi.tv/
 
 Package: kodi-pvr-waipu

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,13 @@
 	dh $@
 
 override_dh_auto_configure:
+	# basilgello: -DCMAKE_INSTALL_DIR silences Kodi buildsystem
+	# warning triggered by dh_configure unnecessarily overriding
+	# install directory
+	# -DUSE_LTO=0 disables LTO and makes build reproducible
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
-            -DOVERRIDE_PATHS=1 \
             -DUSE_LTO=0
 
 override_dh_auto_install:

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/flubshi/pvr.waipu \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
